# Debit Memos Debit Memos ## Initiates workflow to warm up inventory transactions - [POST /debitMemos/warmUpStepFunctions](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/debit-memos/warmupstepfunctions.md) ## Gets all of the debit memos in the system. - [GET /debitMemos/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/debit-memos/listdebitmemos.md): This method will scan all debit memos and and return them to the caller. ## Processes a new debit memo - [POST /debitMemos/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/debit-memos/processdebitmemo.md): This method will auto-generate an ID and create a new debit memo. If an ID is specified for the debit memo, an error will be thrown. ## Execute Batch Operations - [POST /debitMemos/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/debit-memos/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of records with the specified batch_id - [GET /debitMemos/{tenantId}/batch/{batch_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/debit-memos/listmemosbybatchid.md): Returns a list of records with the specified batch_id ## Searches for debit memos using predefined parameters - [POST /debitMemos/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/debit-memos/searchfordebitmemos.md): Searches for debit memos using predefined parameters ## Creates a new debit that doesn't already exist - [POST /debitMemos/{tenantId}/sync](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/debit-memos/processdebitmemosync.md): This method will auto-generate an ID and create a new debit memo. If an ID is specified for the debit memo, an error will be thrown. ## Returns a debit memo from the system by its ID. - [GET /debitMemos/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/debit-memos/getdebitmemo.md): This method will look up a debit memo by the specified ID and return it back. ## Partially updates a debit memo with the specified ID. - [PATCH /debitMemos/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/debit-memos/patchdebitmemo.md): This method will patch an existing debit memo with the specified ID, using the HTTP PATCH specification. ## Updates a debit memo with the specified ID. - [PUT /debitMemos/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/debit-memos/updatedebitmemo.md): This method will update an existing debit memo with the specified ID.